// import { UtilsServerMethods } from "../methods/util-server.method";
const mongoose = require("mongoose");
const { ServerApiVersion } = require("mongodb");
// import { UtilServersModel } from "../models/util.model";

export const dbConnect = () => {
  const DB_URI = process.env.DB_URI;
  mongoose.Promise = global.Promise;
  mongoose.set('strictQuery', false);
  mongoose.connect(DB_URI, {
    serverApi: ServerApiVersion.v1,
    useNewUrlParser: true,
    useUnifiedTopology: true,
  });
  // const utilsServerMethods = new UtilsServerMethods(UtilServersModel);

  // utilsServerMethods.init(); // REVISAR
};
